'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports['default'] = attacher;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _midas = require('midas');

var _midas2 = _interopRequireDefault(_midas);

var _unistUtilVisit = require('unist-util-visit');

var _unistUtilVisit2 = _interopRequireDefault(_unistUtilVisit);

function attacher() {
    function visitor(node) {
        if (node.lang !== 'css') {
            return;
        }

        var data = node.data;

        if (!data) {
            node.data = data = {};
        }

        data.htmlContent = (0, _midas2['default'])(node.value, { wrap: false });
        data.htmlAttributes = data.htmlAttributes || {};
        data.htmlAttributes['class'] = [data.htmlAttributes['class'], 'language-' + node.lang, 'midas'].filter(Boolean).join(' ');
    }

    return function (ast) {
        return (0, _unistUtilVisit2['default'])(ast, 'code', visitor);
    };
}

module.exports = exports['default'];